ROCCATRYOSTKLCONTROL(1)

NAME
roccatryostklcontrol - a tool to control the extended capabilities of Roccat Ryos TKL keyboards

SYNOPSIS
roccatryostklcontrol [ -fhmv ] [ -a NUMBER ] [ -d NUMBER ] [ -l NUMBER ] [ -r FILENAME ] [ -s NUMBER ] [ -w FILENAME ] [ --activate-profile=NUMBER ] [ --actual-profile ] [ --driver-off ] [ --driver-on ] [ --firmware=FILENAME ] [ --help ] [ --led-firmware=FILENAME ] [ --load=NUMMER ] [ --read-firmware ] [ --read-rkp=FILENAME ] [ --reset ] [ --save=NUMMER ] [ --version ] [ --write-rkp=FILENAME ]

DESCRIPTION
This console application lets you modify profiles of Roccat Ryos TKL keyboards.

OPTIONS

-h, --help
    Give the help list.

-a, --activate-profile=NUMBER
    Activates the given profile. Please mind that this permanently sets the startup profile. That means the given profile will be active each time the Ryos starts up.

--actual-profile
    Returns the number of the active profile.

--driver-off
    Deactivates Windows driver state.

--driver-on
    Activates Windows driver state.

--firmware=FILENAME
    Updates the devices firmware with the given image file. In case of an error this process can be repeated. Both firmwares have to be updated together.

-f, --read-firmware
    Returns the firmware version of the Ryos.

--led-firmware=FILENAME
    Updates the led firmware with the given image file. In case of an error this process can be repeated. Both firmwares have to be updated together.

-l, --load=NUMBER
    Loads the profile from keyboard and deposits it in memory. If they differ a warning is given and the keyboard profile is used further.

-r, --read-rkp=FILENAME
    Reads an rkp-file into memory.

--reset
    Resets the device to factory default settings.

-s, --save=NUMBER
    Saves the profile from memory to keyboard and deposit.

-v, --version
    Print program version.

-w, --write-rkp=FILENAME
    Writes the profile from memory as rkp-file.

EXAMPLES

roccatryostklcontrol -r profile.rkp -s 1
    Reads the profile from file profile.rkp and saves the result as profile number 1 in the keyboard and the deposited profile.

AUTHOR
Stefan Achatz <erazor_de@users.sourceforge.net>